// Written by TeTeT
// display a dialog and rotate it toward the beacon
// based on BIS sample

angle = (player getRelDir beacon);
uiNamespace setVariable ["angle", angle];
with uiNamespace do {
	if (!isNil "ctrl") then {
		ctrlDelete ctrl;
	};
	ctrl = findDisplay 46 ctrlCreate ["RscPictureKeepAspect", -1];
	ctrl ctrlSetPosition [0,-0.55,0.5,0.5];
	/*ctrl ctrlSetText "\a3\ui_f\data\map\GroupIcons\badge_rotate_0_gs.paa";*/
	ctrl ctrlSetText "Arrow.paa";
	ctrl ctrlSetAngle [angle, 0.5, 0.5];
	ctrl ctrlCommit 0;

	onEachFrame	{
		angle = (player getRelDir beacon);
		uiNamespace setVariable ["angle", angle];
		with uiNamespace do {
			ctrl ctrlSetAngle [angle, 0.5, 0.5];
		};
	};

};

beaconActive = true;

player addAction [
	"Show bearing indicator",
	"beaconActive = true; (uiNamespace getVariable 'ctrl') ctrlSetTextColor [1,1,1,1]",
	"",
	0,
	false,
	true,
	"",
	"!beaconActive"
];

player addAction [
	"Hide bearing indicator",
	"beaconActive = false; (uiNamespace getVariable 'ctrl') ctrlSetTextColor [1,1,1,0]",
	"",
	0,
	false,
	true,
	"",
	"beaconActive"
];